Bug 1655123 - Director deployed OCP 3.11: openshift_master_cluster_public_hostname and openshift_master_cluster_hostname both get set to the public VIP
Summary: Director deployed OCP 3.11: openshift_master_cluster_public_hostname and open...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 14.0 (Rocky)
Assignee: Marius Cornea
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 16:48 UTC by Marius Cornea
Modified: 2019-01-11 11:55 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.1-0.20181013060898.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-11 11:55:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 621256 None None None 2018-11-30 18:27:47 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:55:13 UTC

Description Marius Cornea 2018-11-30 16:48:32 UTC
Description of problem:
Director deployed OCP 3.11: openshift_master_cluster_public_hostname and openshift_master_cluster_hostname both get set to the public VIP.

According to the inventory examples[1] openshift_master_cluster_hostname points to an internal hostname/address set on the loadbalancer while openshift_master_cluster_public_hostname points to the external. Hence we should probably set openshift_master_cluster_hostname to use the InternalApi network instead of the External network as it is at this moment.

[1] https://docs.openshift.com/container-platform/3.11/install/example_inventories.html

Version-Release number of selected component (if applicable):

openstack-tripleo-heat-templates-9.0.1-0.20181013060891.el7ost.noarch

Comment 12 Martin André 2019-01-10 10:14:31 UTC
No doc text required.

Comment 13 errata-xmlrpc 2019-01-11 11:55:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.